### YamlMime:ManagedReference
items:
- uid: Voile.UI.UIElement
  commentId: T:Voile.UI.UIElement
  id: UIElement
  parent: Voile.UI
  children:
  - Voile.UI.UIElement.#ctor
  - Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  - Voile.UI.UIElement.ExpandRatio
  - Voile.UI.UIElement.HorizontalSizeFlags
  - Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
  - Voile.UI.UIElement.Rect
  - Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  - Voile.UI.UIElement.VerticalSizeFlags
  - Voile.UI.UIElement.children
  - Voile.UI.UIElement.parent
  langs:
  - csharp
  - vb
  name: UIElement
  nameWithType: UIElement
  fullName: Voile.UI.UIElement
  type: Class
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: UIElement
    path: Source/UI/UIElement.cs
    startLine: 6
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public abstract class UIElement
    content.vb: Public MustInherit Class UIElement
  inheritance:
  - System.Object
  derivedClasses:
  - Voile.UI.Container
  - Voile.UI.TextLabel
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.UI.UIElement.Rect
  commentId: P:Voile.UI.UIElement.Rect
  id: Rect
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: Rect
  nameWithType: UIElement.Rect
  fullName: Voile.UI.UIElement.Rect
  type: Property
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Rect
    path: Source/UI/UIElement.cs
    startLine: 8
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public Rect Rect { get; set; }
    parameters: []
    return:
      type: Voile.UI.Rect
    content.vb: Public Property Rect As Rect
  overload: Voile.UI.UIElement.Rect*
- uid: Voile.UI.UIElement.VerticalSizeFlags
  commentId: P:Voile.UI.UIElement.VerticalSizeFlags
  id: VerticalSizeFlags
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: VerticalSizeFlags
  nameWithType: UIElement.VerticalSizeFlags
  fullName: Voile.UI.UIElement.VerticalSizeFlags
  type: Property
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: VerticalSizeFlags
    path: Source/UI/UIElement.cs
    startLine: 9
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public SizeFlags VerticalSizeFlags { get; set; }
    parameters: []
    return:
      type: Voile.UI.SizeFlags
    content.vb: Public Property VerticalSizeFlags As SizeFlags
  overload: Voile.UI.UIElement.VerticalSizeFlags*
- uid: Voile.UI.UIElement.HorizontalSizeFlags
  commentId: P:Voile.UI.UIElement.HorizontalSizeFlags
  id: HorizontalSizeFlags
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: HorizontalSizeFlags
  nameWithType: UIElement.HorizontalSizeFlags
  fullName: Voile.UI.UIElement.HorizontalSizeFlags
  type: Property
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: HorizontalSizeFlags
    path: Source/UI/UIElement.cs
    startLine: 10
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public SizeFlags HorizontalSizeFlags { get; set; }
    parameters: []
    return:
      type: Voile.UI.SizeFlags
    content.vb: Public Property HorizontalSizeFlags As SizeFlags
  overload: Voile.UI.UIElement.HorizontalSizeFlags*
- uid: Voile.UI.UIElement.ExpandRatio
  commentId: P:Voile.UI.UIElement.ExpandRatio
  id: ExpandRatio
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: ExpandRatio
  nameWithType: UIElement.ExpandRatio
  fullName: Voile.UI.UIElement.ExpandRatio
  type: Property
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ExpandRatio
    path: Source/UI/UIElement.cs
    startLine: 12
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public Vector2 ExpandRatio { get; set; }
    parameters: []
    return:
      type: System.Numerics.Vector2
    content.vb: Public Property ExpandRatio As Vector2
  overload: Voile.UI.UIElement.ExpandRatio*
- uid: Voile.UI.UIElement.#ctor
  commentId: M:Voile.UI.UIElement.#ctor
  id: '#ctor'
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: UIElement()
  nameWithType: UIElement.UIElement()
  fullName: Voile.UI.UIElement.UIElement()
  type: Constructor
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/UI/UIElement.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public UIElement()
    content.vb: Public Sub New()
  overload: Voile.UI.UIElement.#ctor*
  nameWithType.vb: UIElement.New()
  fullName.vb: Voile.UI.UIElement.New()
  name.vb: New()
- uid: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  commentId: M:Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  id: AddChild(Voile.UI.UIElement)
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: AddChild(UIElement)
  nameWithType: UIElement.AddChild(UIElement)
  fullName: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  type: Method
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: AddChild
    path: Source/UI/UIElement.cs
    startLine: 19
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public void AddChild(UIElement child)
    parameters:
    - id: child
      type: Voile.UI.UIElement
    content.vb: Public Sub AddChild(child As UIElement)
  overload: Voile.UI.UIElement.AddChild*
- uid: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  commentId: M:Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  id: Render(Voile.Rendering.RenderSystem)
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: Render(RenderSystem)
  nameWithType: UIElement.Render(RenderSystem)
  fullName: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Render
    path: Source/UI/UIElement.cs
    startLine: 25
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public void Render(RenderSystem renderer)
    parameters:
    - id: renderer
      type: Voile.Rendering.RenderSystem
    content.vb: Public Sub Render(renderer As RenderSystem)
  overload: Voile.UI.UIElement.Render*
- uid: Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
  commentId: M:Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
  id: OnRender(Voile.Rendering.RenderSystem)
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: OnRender(RenderSystem)
  nameWithType: UIElement.OnRender(RenderSystem)
  fullName: Voile.UI.UIElement.OnRender(Voile.Rendering.RenderSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: OnRender
    path: Source/UI/UIElement.cs
    startLine: 38
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: protected abstract void OnRender(RenderSystem renderer)
    parameters:
    - id: renderer
      type: Voile.Rendering.RenderSystem
    content.vb: Protected MustOverride Sub OnRender(renderer As RenderSystem)
  overload: Voile.UI.UIElement.OnRender*
- uid: Voile.UI.UIElement.children
  commentId: F:Voile.UI.UIElement.children
  id: children
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: children
  nameWithType: UIElement.children
  fullName: Voile.UI.UIElement.children
  type: Field
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: children
    path: Source/UI/UIElement.cs
    startLine: 40
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: protected List<UIElement> children
    return:
      type: System.Collections.Generic.List{Voile.UI.UIElement}
    content.vb: Protected children As List(Of UIElement)
- uid: Voile.UI.UIElement.parent
  commentId: F:Voile.UI.UIElement.parent
  id: parent
  parent: Voile.UI.UIElement
  langs:
  - csharp
  - vb
  name: parent
  nameWithType: UIElement.parent
  fullName: Voile.UI.UIElement.parent
  type: Field
  source:
    remote:
      path: Voile/Source/UI/UIElement.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: parent
    path: Source/UI/UIElement.cs
    startLine: 41
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: protected UIElement? parent
    return:
      type: Voile.UI.UIElement
    content.vb: Protected parent As UIElement
references:
- uid: Voile.UI
  commentId: N:Voile.UI
  href: Voile.html
  name: Voile.UI
  nameWithType: Voile.UI
  fullName: Voile.UI
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.UI
    name: UI
    href: Voile.UI.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.UI
    name: UI
    href: Voile.UI.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.UI.UIElement.Rect*
  commentId: Overload:Voile.UI.UIElement.Rect
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_Rect
  name: Rect
  nameWithType: UIElement.Rect
  fullName: Voile.UI.UIElement.Rect
- uid: Voile.UI.Rect
  commentId: T:Voile.UI.Rect
  parent: Voile.UI
  href: Voile.UI.Rect.html
  name: Rect
  nameWithType: Rect
  fullName: Voile.UI.Rect
- uid: Voile.UI.UIElement.VerticalSizeFlags*
  commentId: Overload:Voile.UI.UIElement.VerticalSizeFlags
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_VerticalSizeFlags
  name: VerticalSizeFlags
  nameWithType: UIElement.VerticalSizeFlags
  fullName: Voile.UI.UIElement.VerticalSizeFlags
- uid: Voile.UI.SizeFlags
  commentId: T:Voile.UI.SizeFlags
  parent: Voile.UI
  href: Voile.UI.SizeFlags.html
  name: SizeFlags
  nameWithType: SizeFlags
  fullName: Voile.UI.SizeFlags
- uid: Voile.UI.UIElement.HorizontalSizeFlags*
  commentId: Overload:Voile.UI.UIElement.HorizontalSizeFlags
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_HorizontalSizeFlags
  name: HorizontalSizeFlags
  nameWithType: UIElement.HorizontalSizeFlags
  fullName: Voile.UI.UIElement.HorizontalSizeFlags
- uid: Voile.UI.UIElement.ExpandRatio*
  commentId: Overload:Voile.UI.UIElement.ExpandRatio
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_ExpandRatio
  name: ExpandRatio
  nameWithType: UIElement.ExpandRatio
  fullName: Voile.UI.UIElement.ExpandRatio
- uid: System.Numerics.Vector2
  commentId: T:System.Numerics.Vector2
  parent: System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  name: Vector2
  nameWithType: Vector2
  fullName: System.Numerics.Vector2
- uid: System.Numerics
  commentId: N:System.Numerics
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Numerics
  nameWithType: System.Numerics
  fullName: System.Numerics
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Numerics
    name: Numerics
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics
- uid: Voile.UI.UIElement.#ctor*
  commentId: Overload:Voile.UI.UIElement.#ctor
  href: Voile.UI.UIElement.html#Voile_UI_UIElement__ctor
  name: UIElement
  nameWithType: UIElement.UIElement
  fullName: Voile.UI.UIElement.UIElement
  nameWithType.vb: UIElement.New
  fullName.vb: Voile.UI.UIElement.New
  name.vb: New
- uid: Voile.UI.UIElement.AddChild*
  commentId: Overload:Voile.UI.UIElement.AddChild
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_AddChild_Voile_UI_UIElement_
  name: AddChild
  nameWithType: UIElement.AddChild
  fullName: Voile.UI.UIElement.AddChild
- uid: Voile.UI.UIElement
  commentId: T:Voile.UI.UIElement
  parent: Voile.UI
  href: Voile.UI.UIElement.html
  name: UIElement
  nameWithType: UIElement
  fullName: Voile.UI.UIElement
- uid: Voile.UI.UIElement.Render*
  commentId: Overload:Voile.UI.UIElement.Render
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_Render_Voile_Rendering_RenderSystem_
  name: Render
  nameWithType: UIElement.Render
  fullName: Voile.UI.UIElement.Render
- uid: Voile.Rendering.RenderSystem
  commentId: T:Voile.Rendering.RenderSystem
  parent: Voile.Rendering
  href: Voile.Rendering.RenderSystem.html
  name: RenderSystem
  nameWithType: RenderSystem
  fullName: Voile.Rendering.RenderSystem
- uid: Voile.Rendering
  commentId: N:Voile.Rendering
  href: Voile.html
  name: Voile.Rendering
  nameWithType: Voile.Rendering
  fullName: Voile.Rendering
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
- uid: Voile.UI.UIElement.OnRender*
  commentId: Overload:Voile.UI.UIElement.OnRender
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_OnRender_Voile_Rendering_RenderSystem_
  name: OnRender
  nameWithType: UIElement.OnRender
  fullName: Voile.UI.UIElement.OnRender
- uid: System.Collections.Generic.List{Voile.UI.UIElement}
  commentId: T:System.Collections.Generic.List{Voile.UI.UIElement}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<UIElement>
  nameWithType: List<UIElement>
  fullName: System.Collections.Generic.List<Voile.UI.UIElement>
  nameWithType.vb: List(Of UIElement)
  fullName.vb: System.Collections.Generic.List(Of Voile.UI.UIElement)
  name.vb: List(Of UIElement)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: Voile.UI.UIElement
    name: UIElement
    href: Voile.UI.UIElement.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: Voile.UI.UIElement
    name: UIElement
    href: Voile.UI.UIElement.html
  - name: )
- uid: System.Collections.Generic.List`1
  commentId: T:System.Collections.Generic.List`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<T>
  nameWithType: List<T>
  fullName: System.Collections.Generic.List<T>
  nameWithType.vb: List(Of T)
  fullName.vb: System.Collections.Generic.List(Of T)
  name.vb: List(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
